Upstream information

CVE-2022-1115 at MITRE

Description

A heap-buffer-overflow flaw was found in ImageMagick’s PushShortPixel() function of quantum-private.h file. This vulnerability is triggered when an attacker passes a specially crafted TIFF image file to ImageMagick for conversion, potentially leading to a denial of service.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 5.5
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1198701 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ImageMagick >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-SUSE >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-upstream >= 7.1.0.9-150400.4.7
  • ImageMagick-devel >= 7.1.0.9-150400.4.7
  • libMagick++-7_Q16HDRI5 >= 7.1.0.9-150400.4.7
  • libMagick++-devel >= 7.1.0.9-150400.4.7
  • libMagickCore-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • libMagickWand-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • perl-PerlMagick >= 7.1.0.9-150400.4.7
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA ImageMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA perl-PerlMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
  • ImageMagick >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-SUSE >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-upstream >= 7.1.0.9-150400.4.7
  • ImageMagick-devel >= 7.1.0.9-150400.4.7
  • libMagick++-7_Q16HDRI5 >= 7.1.0.9-150400.4.7
  • libMagick++-devel >= 7.1.0.9-150400.4.7
  • libMagickCore-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • libMagickWand-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA ImageMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • perl-PerlMagick >= 7.1.0.9-150400.4.7
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA perl-PerlMagick-7.1.0.9-150400.4.7
openSUSE Leap 15.4
  • ImageMagick >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-SUSE >= 7.1.0.9-150400.4.7
  • libMagick++-7_Q16HDRI5 >= 7.1.0.9-150400.4.7
  • libMagickCore-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • libMagickWand-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
Patchnames:
openSUSE Leap 15.4 GA ImageMagick-7.1.0.9-150400.4.7


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ImageMagick Ask maintainer
SUSE CaaS Platform 4.0 ImageMagick Not affected
SUSE Enterprise Storage 6 ImageMagick Not affected
SUSE Enterprise Storage 7 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Desktop 15 SP3 ImageMagick Not affected
SUSE Linux Enterprise Desktop 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 ImageMagick Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP3 ImageMagick Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Real Time 15 SP2 ImageMagick Ask maintainer
SUSE Linux Enterprise Server 11 SP4 LTSS ImageMagick Ask maintainer
SUSE Linux Enterprise Server 12 SP2 BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3 BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS ImageMagick Ask maintainer
SUSE Linux Enterprise Server 12 SP3 LTSS ImageMagick Ask maintainer
SUSE Linux Enterprise Server 12 SP4 ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server 15 ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 15 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 15 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ImageMagick Ask maintainer
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Storage 7.1 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 ImageMagick Not affected
SUSE Manager Proxy 4.1 ImageMagick Not affected
SUSE Manager Proxy 4.2 ImageMagick Not affected
SUSE Manager Proxy 4.3 ImageMagick Already fixed
SUSE Manager Retail Branch Server 4.1 ImageMagick Not affected
SUSE Manager Retail Branch Server 4.2 ImageMagick Not affected
SUSE Manager Retail Branch Server 4.3 ImageMagick Already fixed
SUSE Manager Server 4.1 ImageMagick Not affected
SUSE Manager Server 4.2 ImageMagick Not affected
SUSE Manager Server 4.3 ImageMagick Already fixed
SUSE OpenStack Cloud 8 ImageMagick Ask maintainer
SUSE OpenStack Cloud 9 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 8 ImageMagick Ask maintainer
SUSE OpenStack Cloud Crowbar 9 ImageMagick Not affected